Subversion: Tortoise + AnkhSVN

votos
1

Abrir Ankh parece estar usando Subversion 1.6.2 e Tortoise usa Subversion 1.6.0.

Depois de criar um repositório com Tortoise eu não conseguia Ankh para vê-lo.

Depois de baixar subversão e fazer svn administrador -create --pre-1.6-compatível z: \ ...... \ etc .. agora Ankh pode vê-lo. Esta é minha primeira vez usando o controle de versão, e talvez eu não preciso de tartaruga, mas a integração do Windows Explorer soa agradável.

Estou usando file: /// não um svnserve ou Apache.

eu vou ser capaz de usar tartaruga ao longo Ankh lado ou vou continuar a ter problemas ou possivelmente corromper o repositório?

Publicado 19/05/2009 em 14:24
fonte usuário
Em outras línguas...                            


5 respostas

votos
7

Enquanto ambas as ferramentas estão na mesma versão principal / menor do Subversion (ou seja 1.6.any), então eles devem ser capazes de trabalhar juntos.

Você está falando de AnkhSVN? Se assim for, pode ser necessário para obter uma compilação diária, como sua página menciona usando a última diária para suporte Subversion 1.6. http://ankhsvn.open.collab.net/

Se você atualizar um cliente, mas não outra e há uma pequena diferença de versão (ou seja, 1,6 vs. 1,5), então o mais recente cliente irá atualizar a cópia de trabalho e você não será capaz de trabalhar com ele no cliente mais velho.

Respondeu 19/05/2009 em 14:32
fonte usuário

votos
3

Eu tive problemas semelhantes, mas resolveu-los através da instalação mais recente (2.1 compilação diária) de AnkhSVN.

Respondeu 19/05/2009 em 14:54
fonte usuário

votos
1

A última versão do TortoiseSVN foi construído contra SVN 1.6.2, obtê-lo aqui . Isso pode resolver o seu problema.

O cartaz original corrigido seu posto, e a linha acima não se aplica mais.

Você deve ser capaz de usar ambos lado a lado sem problemas. Fiquei por um tempo, e não encontrar quaisquer problemas

Respondeu 19/05/2009 em 14:28
fonte usuário

votos
0

de http://ankhsvn.open.collab.net/downloads

Se alguns dos projectos não mostram glifos - Verifique se os projectos estão ligados em File -> Subversion -> Alterar origem de controlo Certifique-se de que pelo menos a solução e os projectos glifos ausentes estão conectados (Muitos tipos de projetos não necessitam de ligação explícito) *

Respondeu 23/02/2013 em 19:33
fonte usuário

votos
0

Eu também estava enfrentando problemas com Ankh, mas depois de instalar subversão 1.6.2 funciona !! Então, provavelmente você precisa atualizar sua subversão para 1.6.2

Respondeu 19/05/2009 em 14:42
fonte usuário

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more